#
# spec file for package zynqmp-pmufw
#
# Copyright (c) 2018 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           zynqmp-pmufw
Version:	2017.4
Release:	5.1
License:	SUSE-Permissive
Summary:	PMU Firmware files for Xilinx Ultrascale+ MPSoC
Url:		https://www.xilinx.com
Group:		System/Boot
# Created using:
#   tar c --exclude="*.o" --exclude="*.a" --exclude="*.d" pmufw* | pixz
Source:		pmufw-es1.tar.xz
Source2:	COPYING
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildArch:	noarch

%description
PMU Firmware files for Xilinx Ultrascale+ MPSoC

%prep
tar xf %{SOURCE0}
cp %{SOURCE2} .

%install
install -p -m 0644 -D pmufw_es1/Release/pmufw_es1.elf -t %{buildroot}/usr/share/zynqmp

%post

%postun

%files
%defattr(-,root,root)
%doc COPYING
/usr/share/zynqmp
/usr/share/zynqmp/*
%changelog
* Thu Mar 15 2018 agraf@suse.com
- Initial version, adds es1 firmware drop
